# TdApi.CallServerTypeWebrtc (tdlight API 3.3.160 API)
declaration: package: it.tdlight.jni, class: TdApi, class: CallServerTypeWebrtc

Package it.tdlight.jni

# Class TdApi.CallServerTypeWebrtc

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.CallServerType
it.tdlight.jni.TdApi.CallServerTypeWebrtc

Enclosing class:
  TdApi

    public static class TdApi.CallServerTypeWebrtc
    extends TdApi.CallServerType

A WebRTC server.

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`static int` | `CONSTRUCTOR` |
`String` | `password` | Authentication password.
`boolean` | `supportsStun` | True, if the server supports STUN.
`boolean` | `supportsTurn` | True, if the server supports TURN.
`String` | `username` | Username to be used for authentication.

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`CallServerTypeWebrtc()` | A WebRTC server.
`CallServerTypeWebrtc​(DataInput input)` |
`CallServerTypeWebrtc​(String username, String password, boolean supportsTurn, boolean supportsStun)` | A WebRTC server.

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`boolean` | `equals​(Object o)` |
`int` | `getConstructor()` |
`int` | `hashCode()` |
`void` | `serialize​(DataOutput output)` |

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### username

public String username
Username to be used for authentication.

### password

public String password
Authentication password.

### supportsTurn

public boolean supportsTurn
True, if the server supports TURN.

### supportsStun

public boolean supportsStun
True, if the server supports STUN.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  Constant Field Values

## Constructor Details

### CallServerTypeWebrtc

public CallServerTypeWebrtc()
A WebRTC server.

### CallServerTypeWebrtc

public CallServerTypeWebrtc​(String username, String password, boolean supportsTurn, boolean supportsStun)
A WebRTC server.

Parameters:
  `username` - String Username to be used for authentication.
  `password` - String Authentication password.
  `supportsTurn` - boolean True, if the server supports TURN.
  `supportsStun` - boolean True, if the server supports STUN.

### CallServerTypeWebrtc

public CallServerTypeWebrtc​(DataInput input) throws IOException

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize​(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals​(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`